ComSquare::APU::InternalRegisters Struct Reference

`#include <APU.hpp>`

Collaboration diagram for ComSquare::APU::InternalRegisters:

## Classes

union | psw
| Program Status Word register. More...

## Public Attributes

uint8_t | x
| The X index register. More...
union {
struct {
uint8_t a
| The Accumulator register. More...
uint8_t y
| The Y Index register. More...
} |
uint16_t ya
}; |
| The YA register. More...
uint8_t | sp
| The Stack pointer register. More...
union {
struct {
uint8_t pcl
uint8_t pch
} |
uint16_t pc
}; |
| The Program counter register. More...

## Member Data Documentation

## @1

union { ... }

The YA register.

## @3

union { ... }

The Program counter register.

## a

uint8_t ComSquare::APU::InternalRegisters::a

The Accumulator register.

## pc

uint16_t ComSquare::APU::InternalRegisters::pc

## pch

uint8_t ComSquare::APU::InternalRegisters::pch

## pcl

uint8_t ComSquare::APU::InternalRegisters::pcl

## sp

uint8_t ComSquare::APU::InternalRegisters::sp

The Stack pointer register.

## x

uint8_t ComSquare::APU::InternalRegisters::x

The X index register.

## y

uint8_t ComSquare::APU::InternalRegisters::y

The Y Index register.

## ya

uint16_t ComSquare::APU::InternalRegisters::ya

The documentation for this struct was generated from the following file:

- sources/APU/APU.hpp